#include <mysql/mysql.h>
#include <libmysqlwrapped.h>

int main()
{
	StderrLog log;
	Database db("localhost", "root", "", "tutorialdb", &log);
	if (!db.Connected())
	{
		printf("Database not connected - exiting\n");
		exit(-1);
	}
	Query q(db);
	q.get_result(
		"select player.name,resource.name,x.amount from playerresource as x inner join player on "
		"x.player=player.num inner join resource on x.resource=resource.num");
	while (q.fetch_row())
	{
		std::string player_name = q.getstr();
		std::string resource_name = q.getstr();
		long amount = q.getval();
		printf("%s owns %ld piece%s of %s.\n",
			player_name.c_str(),
			amount,
			(amount == 1) ? "" : "s",
			resource_name.c_str());
	}
	q.free_result();
}

